drama.shaders = {};
drama.shaders["difference"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform mediump vec2 srcStart;\nuniform mediump vec2 srcEnd;\nuniform lowp sampler2D samplerBack;\nuniform mediump vec2 destStart;\nuniform mediump vec2 destEnd;\n\nvoid main(void)\n{	lowp vec4 front = texture2D(samplerFront, vTex);\n	front.rgb /= front.a;\n	\n	mediump vec2 tex = (vTex - srcStart) / (srcEnd - srcStart);\n	lowp vec4 back = texture2D(samplerBack, mix(destStart, destEnd, tex));\n	back.rgb /= back.a;	front.rgb = (max(front.rgb, back.rgb) - min(front.rgb, back.rgb)) * front.a;\n	\n	gl_FragColor = front;\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: false,
	animated: false,
	parameters: []
};

drama.shaders["tint"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 tintColor;\n\nvoid main(void)\n{\n	lowp vec4 front = texture2D(samplerFront, vTex);\n	\n	gl_FragColor = front * vec4(tintColor.r, tintColor.g, tintColor.b, 1.0);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["tintColor",0,2]]
};
